# Response to Reviewer Gvfa

We are grateful for reviewer Gvfa for the acknowledgement and insightful suggestions. We have made targeted revisions and additions. For the revisions of the paper, we have marked them in **green** in the PDF.

**Weakness 1 & Question 1:** 

We admit that the proposed SimSHAP is indeed theoretically
motivated. Our motivation is that based on the unified framework, we can choose the semi-value equation and identity matrix for their simplicity. In addition, as part of our future work, we aim to identify the optimal metric matrix that maximizes performance in terms of optimization convergence.

**Weakness 2 & Question 2:** 

- **About highlighting our contribution:** In this context, we wish to **highlight our primary contribution of unification**: Numerous recent studies have investigated various estimation techniques for approximating Shapley values, such as applying semi-value (conventional Monte Carlo estimation) and least squares value (utilizing the weighted least squares property of Shapley values) equations. We discovered that current Shapley values estimation approaches are **essentially not different** and we found that the least squares value estimation is fundamentally still equivalent to a specific type of probability Monte Carlo estimator. As a result, we put forward a unified viewpoint of stochastic estimators and built a unified perspective of amortized estimators based on this concept.
- **About the choice between SimSHAP and FastSHAP:** With the unified framework, we proposed SimSHAP as a new perspective for Shapley value estimation, indicating its **comparable** performance to FastSHAP.
- **About the deletion curve:** With respect to the deletion curve in our updated version of the paper, the advantage of SimSHAP is not particularly pronounced. Nevertheless, we will continue to conduct thorough analysis of the outcomes as part of our future work.

**Other notes 1:** 

We are grateful to the reviewer for their careful reading and thoughtful suggestions regarding our notation. In our revised manuscript, we have included the definition of $J$ for clarity. Additionally, we have double-checked the definitions of $T$ and $1^S$ at the point where they first appear in the text to ensure consistency and clarity. 

**Other notes 2:** 

We have meticulously reviewed our code and experimental design. These revisions have been incorporated into the updated version of our paper.

**Question 3:** 

We aim to demonstrate that we have recognized that SimSHAP requires a relatively large number of samples during the training process. As part of our future research, we intend to further investigate this phenomenon both theoretically and experimentally, which we believe may be related to the choice of the metric matrix.